var ok = require('okay')

require('./helper').describe('push and pop one string', function() {
  it('pushes', function(done) {
    this.queue.push('hi mom', done)
  })

  it('pops', function(done) {
    this.timeout(5000)
    this.queue.pop(ok(done, function(res) {
      assert(res)
      var msg = res
      assert.equal(msg.body, 'hi mom')
      assert(msg.receipt)
      assert(msg.id)
      done()
    }))
  })
})
