var ok = require('okay')

require('./helper').describe('push and pop many', function() {
  var messages = [
    'hi mom',
    {name: 'brian'},
    [{name: 'aaron'}, {name: 'shelley'}]
  ]

  it('pushes', function(done) {
    this.queue.push(messages, ok(done, function(res) {
      assert.equal(res.success.length, 3)
      assert.equal(res.failure, 0)
      done()
    }))
  })

  it('takes', function(done) {
    this.queue.take(3, ok(done, function(res) {
      assert.equal(res.length, 3)
      done()
    }))
  })

})
