var ok = require('okay')

require('./helper').describe('push and pop one string', function() {
  before(function(done) {
    this.queue.push({name: 'brian'}, done)
  })

  it('deletes', function(done) {
    var self = this
    this.queue.pop(ok(done, function(msg) {
      self.queue.delete(msg, done)
    }))
  })

  it('has empty queue', function(done) {
    this.queue.settings(ok(done, function(setts) {
      assert.equal(setts.waiting, 0)
      assert.equal(setts.inProcess, 0)
      done()
    }))
  })

})
